# Uses of Class
javax.net.ssl.TrustManagerFactory

Packages that use TrustManagerFactory
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of TrustManagerFactory in javax.net.ssl

Methods in javax.net.ssl that return TrustManagerFactory
Modifier and Type
Method
Description
`static final TrustManagerFactory`
TrustManagerFactory.`getInstance(String algorithm)`
Returns a `TrustManagerFactory` object that acts as a factory for trust managers.
`static final TrustManagerFactory`
TrustManagerFactory.`getInstance(String algorithm, String provider)`
Returns a `TrustManagerFactory` object that acts as a factory for trust managers.
`static final TrustManagerFactory`
TrustManagerFactory.`getInstance(String algorithm, Provider provider)`
Returns a `TrustManagerFactory` object that acts as a factory for trust managers.